﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Schedules;

namespace CustomScheduleTest
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void dm_ActivityDialogDisplaying(object sender, Infragistics.Controls.Schedules.ActivityDialogDisplayingEventArgs e)
		{
			// note: there is a known issue where the metadata will not be available in the activity dialog 
			// if it has not been accessed before the dialog enters edit mode. this will be fixed in an 
			// upcoming SR at which point this code can be removed
			var dc = ((XamScheduleDataManager)sender).DataConnector as ListScheduleDataConnector;
			foreach (var item in dc.AppointmentPropertyMappings.MetadataPropertyMappings)
			{
				object v = e.Activity.Metadata[item.MetadataProperty];
			}
		}
	}

	public class MyScheduleData : ScheduleData
	{
		public MyScheduleData()
		{
			this.Resources.Add(new ResourceDataItem { Id = "0", Name = "Person 0" });
			this.Resources.Add(new ResourceDataItem { Id = "1", Name = "Person 1" });

			this.Calendars.Add(new CalendarDataItem { Id = "0", Name = "Calendar 0", OwningResourceId = "0" });
			this.Calendars.Add(new CalendarDataItem { Id = "1", Name = "Calendar 0", OwningResourceId = "1" });

			DateTime now = DateTime.Now.ToUniversalTime();
			this.Appointments.Add(new AppointmentDataItem { Id = "0", Start = now, End = now.AddHours(1), OwningResourceId = "0", OwningCalendarId = "0", Subject = "Something by Person 0", Comments = "Something about Appt 0 under Person 0's Calendar" });
            this.Appointments.Add(new AppointmentDataItem { Id = "3", Start = now, End = now.AddHours(1), OwningResourceId = "0", OwningCalendarId = "0", Subject = "Something by Person 0", Comments = "Something about Appt 0 under Person 0's Calendar" });
			this.Appointments.Add(new AppointmentDataItem { Id = "1", Start = now, End = now.AddHours(1), OwningResourceId = "1", OwningCalendarId = "1", Subject = "Something by Person 1", Comments = "Something about Appt 1 under Person 1's Calendar" });
            this.Appointments.Add(new AppointmentDataItem { Id = "2", Start = now, End = now.AddHours(1), OwningResourceId = "1", OwningCalendarId = "1", Subject = "Something by Person 1", Comments = "Something about Appt 1 under Person 1's Calendar" });
		}
	}
}
